module EngineFlashtux (config, handler) where

import qualified Data.Map as Map

import qualified Engine

flashtuxUploadUrl = "http://img.flashtux.org/index.php"

flashtuxFields = [Engine.TextField "MAX_FILE_SIZE" "5242880",
                  Engine.TextField "postimg" "1",
                  Engine.TextField "upload" "UPLOAD!"]

config = Engine.PasteContext {
  Engine.pcUploadLink    = flashtuxUploadUrl,
  Engine.pcFileTagName   = "filename",
  Engine.pcFileName      = "",
  Engine.pcFields        = flashtuxFields,
  Engine.pcEncodingType  = Engine.MultipartFormData,
  Engine.pcContents      = "",
  Engine.pcResultLink    = Nothing,
  Engine.pcCustomFields  = Map.empty,
  Engine.pcAllowRedirect = True,
  Engine.pcCustomHeaders = []
  }

handler :: Engine.PasteHandler ()
handler = Engine.uploadAndGrabHtml (Engine.grabExtractLinks "a" "href" Engine.FileExtension)
            >>= Engine.saveFirstLink
