module EngineImagebin (config, handler) where

import qualified Data.Map as Map

import qualified Engine

imagebinUploadUrl = "http://imagebin.org/index.php"

imagebinFields = [Engine.TextField "nickname" "imp",
                  Engine.TextField "disclaimer_agree" "Y",
                  Engine.TextField "Submit" "Submit",
                  Engine.TextField "mode" "add"]

config = Engine.PasteContext {
  Engine.pcUploadLink    = imagebinUploadUrl,
  Engine.pcFileTagName   = "image",
  Engine.pcFileName      = "",
  Engine.pcFields        = imagebinFields,
  Engine.pcEncodingType  = Engine.MultipartFormData,
  Engine.pcContents      = "",
  Engine.pcResultLink    = Nothing,
  Engine.pcCustomFields  = Map.empty,
  Engine.pcAllowRedirect = True,
  Engine.pcCustomHeaders = []
  }

handler :: Engine.PasteHandler ()
handler = Engine.uploadAndGrabHtml (Engine.grabExtractLinks "img" "src" Engine.FileEmpty)
            >>= Engine.saveFirstLinkExtended "http://imagebin.org" ""
