module EngineIpicture (config, handler) where

import qualified Data.Map as Map

import qualified Engine
import qualified EngineFastpic

ipictureUploadUrl = "http://ipicture.ru/Upload/"

ipictureFields = [Engine.TextField "method" "file"]

config = Engine.PasteContext {
  Engine.pcUploadLink    = ipictureUploadUrl,
  Engine.pcFileTagName   = "userfile",
  Engine.pcFileName      = "",
  Engine.pcFields        = ipictureFields,
  Engine.pcEncodingType  = Engine.MultipartFormData,
  Engine.pcContents      = "",
  Engine.pcResultLink    = Nothing,
  Engine.pcCustomFields  = Map.empty,
  Engine.pcAllowRedirect = False,
  Engine.pcCustomHeaders = []
  }

handler :: Engine.PasteHandler ()
handler = EngineFastpic.handler
